Subject: bug#58224: 29.0.50; "make bootstrap" spuriously warns: "comp.el newer than byte-compiled file"

From: Alan Mackenzie <[email-masked]>
Date: Sun, 2 Oct 2022 11:32:29 +0000

Hello, Eli.

On Sun, Oct 02, 2022 at 14:04:08 +0300, Eli Zaretskii wrote:
> > Date: Sun, 2 Oct 2022 10:43:44 +0000
> > Cc: [email-masked], [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > > Instead of inventing a new value that overrides the non-nil value, why
> > > not simply reset the variable to nil?

> > force-load-messages is nil by default, and currently isn't used at all
> > by Emacs.  It seems to be a pure debugging variable.

> > The NOMESSAGE argument to Fload when non-nil, causes the unwanted
> > message:

> >     Source file `foo.el' newer than byte-compiled file; using older file

> > ..  When NOMESSAGE is nil, we get instead

> >     Loading foo.elc (compiled; note, source file is newer)...

> > ..  Whichever setting of NOMESSAGE and force-load-messages we use, we get
> > one of the above messages displayed.  So, I'm proposing using a new
> > value 'never for force-load-messages to mean display neither of these
> > messages.

> I don't want to complicate the public Lisp API because we have a
> singular situation at some point of the bootstrap, and for minor
> aesthetic reasons at that; that is the tail wagging the dog.  So let's
> fix this more subtly.

I agree.

> How about recognizing (inside Fload) a specific time stamp of the
> older file we use (we set it to the beginning of the Epoch, right?),
> and suppressing the message in that case?

:-)  That's a nice idea.  I'll see if I can get that done today.  Thanks!

-- 
Alan Mackenzie (Nuremberg, Germany).